import { upload } from '@/services/oss'

/**
 * 获取 OSS 客户端
 * @returns 
 */
export function uploadFile({ file, onSuccess, onError }) {
  upload(file).then((url) => {
    onSuccess(url, file)
  }).catch((e) => {
    onError(e)
  });

  return {
    abort: () => {},
  };
}
